Method: projects.locations.glossaries.categories.patch

Updates a GlossaryCategory resource.

HTTP request

PATCH https://dataplex.googleapis.com/v1/{category.name=projects/*/locations/*/glossaries/*/categories/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
category.name

string

Output only. Identifier. The resource name of the GlossaryCategory. Format: projects/{project_id_or_number}/locations/{locationId}/glossaries/{glossaryId}/categories/{categoryId}

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of GlossaryCategory.

Response body

If successful, the response body contains an instance of GlossaryCategory.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/dataplex.read-write

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • dataplex.glossaryCategories.update

For more information, see the IAM documentation.